## atspi-relation

atspi-relation — An interface via which non-hierarchical relationships are indicated.

## Functions

AtspiRelationType | atspi_relation_get_relation_type ()
gint | atspi_relation_get_n_targets ()
AtspiAccessible * | atspi_relation_get_target ()

## Types and Values

struct | AtspiRelation
struct | AtspiRelationClass

## Object Hierarchy

        GObject
        ╰── AtspiRelation

## Description

An interface via which non-hierarchical relationships are indicated. An instance of this interface represents a "one-to-many" correspondance.

## Functions

### atspi_relation_get_relation_type ()

    AtspiRelationType
    atspi_relation_get_relation_type (AtspiRelation *obj);

Gets the type of relationship represented by an AtspiRelation.

#### Parameters

obj | a pointer to the AtspiRelation object to query. |

#### Returns

an AtspiRelationType indicating the type of relation encapsulated in this AtspiRelation object.

### atspi_relation_get_n_targets ()

    gint
    atspi_relation_get_n_targets (AtspiRelation *obj);

Gets the number of objects which this relationship has as its target objects (the subject is the AtspiAccessible from which this AtspiRelation originated).

#### Parameters

obj | a pointer to the AtspiRelation object to query. |

#### Returns

a gint indicating how many target objects which the originating AtspiAccessible object has the AtspiRelation relationship with.

### atspi_relation_get_target ()

    AtspiAccessible *
    atspi_relation_get_target (AtspiRelation *obj,
                               gint i);

Gets the `i` -th target of a specified AtspiRelation relationship.

#### Parameters

obj | a pointer to the AtspiRelation object to query. |
i | a (zero-index) gint indicating which (of possibly several) target is requested. |

#### Returns

an AtspiAccessible which is the `i` -th object with which the originating AtspiAccessible has relationship specified in the AtspiRelation object.

[transfer full]

## Types and Values

### struct AtspiRelation

    struct AtspiRelation;

### struct AtspiRelationClass

    struct AtspiRelationClass {
      GObjectClass parent_class;
    };